table.insert( actions,	
{
		id          = "CIRCLE_GOLD",
		name 		= "Circle of Gold",
		description = "Creates an everexpanding circle of gold.",
		sprite 		= "mods/midas_suite/files/sprites/circle_gold.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "3,4,5",
		spawn_probability                 = "1,1,1",
		price = 1000,
		mana = 500,
		max_uses = 1,
		action 		= function()
			add_projectile("mods/midas_suite/files/projectiles/circle_gold.xml")
			--c.spread_degrees = c.spread_degrees + 2.0
			c.fire_rate_wait = c.fire_rate_wait + 30
			shot_effects.recoil_knockback = shot_effects.recoil_knockback + 20.0
		end,
	})
table.insert( actions,	
{
		id          = "SEA_GOLD",
		name 		= "Sea of Gold",
		description = "Creates a sea of gold.",
		sprite 		= "mods/midas_suite/files/sprites/sea_gold.png",
		type 		= ACTION_TYPE_MATERIAL,
		spawn_level                       = "4,5,6",  
		spawn_probability                 = "1,1,1", 
		price = 420,
		mana = 500,
		max_uses = 1,
		action 		= function()
			add_projectile("mods/midas_suite/files/projectiles/sea_gold.xml")
			c.fire_rate_wait = c.fire_rate_wait + 15
		end,
	
})
table.insert( actions,	
{
		id          = "CLOUD_GOLD",
		name 		= "Golden Shower",
		description = "God I hope that's rain.",
		sprite 		= "mods/midas_suite/files/sprites/cloud_gold.png",
		type 		= ACTION_TYPE_STATIC_PROJECTILE,
		spawn_level                       = "3,4,5",
		spawn_probability                 = "1,1,1",
		price = 400,
		mana = 500,
		max_uses = 2,
		action 		= function()
			add_projectile("mods/midas_suite/files/projectiles/cloud_gold.xml")
			c.fire_rate_wait = c.fire_rate_wait + 15
		end,
	
})
table.insert( actions,
{
		id          = "GOLD_TRAIL",
		name 		= "Gold Trail",
		description = "Projectiles leave a trail of shimmering gold.",
		sprite 		= "mods/midas_suite/files/sprites/gold_trail.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "2,3,4,5",
		spawn_probability                 = "1,1,1,1",
		price = 500,
		mana = 50,
		--max_uses = 50,
		--custom_xml_file = "mods/midas_suite/files/cards/gold_trail.xml",
		action 		= function()
			c.trail_material = c.trail_material .. "gold,"
			c.trail_material_amount = c.trail_material_amount + 15
			draw_actions( 1, true )
		end,
	})
	table.insert( actions,
{
		id          = "MATERIAL_GOLD",
		name 		= "Gold",
		description = "Moneymoneymoney",
		sprite 		= "mods/midas_suite/files/sprites/material_gold.png",
		sprite_unidentified = "data/ui_gfx/gun_actions/material_oil_unidentified.png",
		type 		= ACTION_TYPE_MATERIAL,
		spawn_level                       = "1,2,3,4,5", -- MATERIAL_OIL
		spawn_probability                 = "1,1,1,1,1", -- MATERIAL_OIL
		price = 500,
		mana = 0,
		sound_loop_tag = "sound_spray",
		action 		= function()
			add_projectile("mods/midas_suite/files/projectiles/material_gold.xml")
			c.fire_rate_wait = c.fire_rate_wait - 15
			current_reload_time = current_reload_time - ACTION_DRAW_RELOAD_TIME_INCREASE - 10 -- this is a hack to get the cement reload time back to 0
		end,
	})
	
		table.insert( actions,
{
		id          = "BLOOD_TO_GOLD",
		name 		= "Blood to Gold",
		description = "Paid for a price.",
		sprite 		= "mods/midas_suite/files/sprites/blood_to_gold.png",
		sprite_unidentified = "data/ui_gfx/gun_actions/explosive_projectile_unidentified.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "2,3,4", -- EXPLOSIVE_PROJECTILE
		spawn_probability                 = "1,1,1", -- EXPLOSIVE_PROJECTILE
		price = 80,
		mana = 30,
		--max_uses = 50,
		action 		= function()
			c.extra_entities = c.extra_entities .. "mods/midas_suite/files/misc/blood_to_gold.xml,data/entities/particles/tinyspark_yellow.xml,"
			c.fire_rate_wait = c.fire_rate_wait + 10
			draw_actions( 1, true )
		end,
	})